IF NOT EXISTS (
    SELECT * 
    FROM sys.columns 
    WHERE object_id = OBJECT_ID('dept_mst') 
    AND name = 'dept_mst_linen'
)
BEGIN
    alter table dept_mst
	Add dept_mst_linen varchar(1)
END
GO

Update dept_mst set dept_mst_linen = '0' Where dept_mst_linen IS NULL
GO


DELETE	cf_label
WHERE	table_name = 'dept_mst'
AND 	column_name = 'dept_mst_linen'
GO

INSERT 	cf_label (language_cd, table_name, column_name, 
		default_label,
		customize_label, 
		default_header, 
		customize_header, 
		cfr_flag, cf_label_required, audit_user, audit_date ) 
SELECT 	language_cd, 'dept_mst', 'dept_mst_linen', 
		'Linen:', 
		'Linen:', 
		'Linen', 
		'Linen', 
		'0', '0', 'admin', getdate() 
FROM	cf_language 
GO

IF NOT EXISTS (
    SELECT * 
    FROM sys.columns 
    WHERE object_id = OBJECT_ID('dept_mst') 
    AND name = 'dept_mst_linen_porter'
)
BEGIN
    alter table dept_mst
	Add dept_mst_linen_porter varchar(25)
END


DELETE	cf_label
WHERE	table_name = 'dept_mst'
AND 	column_name = 'dept_mst_linen_porter'
GO

INSERT 	cf_label (language_cd, table_name, column_name, 
		default_label,
		customize_label, 
		default_header, 
		customize_header, 
		cfr_flag, cf_label_required, audit_user, audit_date ) 
SELECT 	language_cd, 'dept_mst', 'dept_mst_linen_porter', 
		'Linen Porter:', 
		'Linen Porter:', 
		'Linen Porter', 
		'Linen Porter', 
		'0', '0', 'admin', getdate() 
FROM	cf_language 
GO